# Features
* [wpmlst-2068] Added a troubleshooting option to clean up and optimize the strings tables in the database.
* [wpmlst-2042] Added a troubleshooting action to re-display the "pre-generate MO files" dialog if the translation files are deleted from the server.
* [wpmlst-1916] Stopped hooking to gettext functions to optimize performance

# Fixes
* [wpmlst-2122] A temp changelog.
* [wpmlst-2114] Fixed the generation of PO files on the "Theme and plugins localization" page. Now, we include only strings belonging to a selected domain, instead of all strings from a plugin.
* [wpmlst-2096] Fixed the way of handling quotes in the blog title and description so translated strings are displayed correctly.
* [wpmlst-1980] Fixed an issue with too big flags shown in the admin panel when custom flag image of a large size is used.
* [wpmlst-1925] Fixed an error that could happen when WPML Core, String Translation, and Translation Management plugins were active but the setup was not complete.

# Compatibility
* [wpmlst-2123] Fixed the generation of the .htaccess file when the permalinks cache is flushed.

# Performances
* [wpmlst-2155] Significantly improved the site performance on when updating the page, post, or a WooCommerce product page in the admin.
* [wpmlst-2081] Improve the new usage of MO files in the String Translations plugin to support WordPress Multisite setup.
* [wpmlst-2020] Generate partial MO files for translated strings and use them for displaying strings in other languages, instead of accessing the database.
* [wpmlst-2008] Added the Multisite support to the new way String Translation loads strings using MO files. Now, it is possible to define different translations per site for the same string.
* [wpmlst-1907] Allow using the "Assume all strings have English original" option on any language to improve performance.
* [wpmlst-1904] Introduced a completely new way of how String Translation handles strings. It is now based on MO Files instead of querying data from the Database. This helps to significantly reduce performance costs.
* [wpmlst-1855] Improved the performance of upgrade commands.

# Usability
* [wpmlst-2073] Don't show package strings in the String Translation user interface.